> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Deny derogation



## OpenAPI

````yaml /openapi.json post /derogations/{derogationId}/branches/{branchId}/deny
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /derogations/{derogationId}/branches/{branchId}/deny:
    post:
      tags:
        - derogations
      summary: Deny derogation
      operationId: DerogationController_denyDerogation
      parameters:
        - name: derogationId
          required: true
          in: path
          description: Id of the derogation
          schema:
            type: string
        - name: branchId
          required: true
          in: path
          description: Id of the branch
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DerogationDenyInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerogationDenyOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BranchNotFoundErrorDto'
                  - $ref: '#/components/schemas/DerogationNotFoundErrorDto'
              examples:
                BRANCH_NOT_FOUND:
                  $ref: '#/components/schemas/BranchNotFoundErrorDto'
                DEROGATION_NOT_FOUND:
                  $ref: '#/components/schemas/DerogationNotFoundErrorDto'
          description: ''
components:
  schemas:
    DerogationDenyInputBody:
      type: object
      properties:
        comment:
          type: string
          description: Comment for the denial
    DerogationDenyOutput:
      type: object
      properties: {}
    BranchNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BRANCH_NOT_FOUND
        message:
          type: string
          example: Branch {branchId} not found
        details:
          $ref: '#/components/schemas/BranchNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    DerogationNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - DEROGATION_NOT_FOUND
        message:
          type: string
          example: Derogation not found for branch {branchId}
        details:
          $ref: '#/components/schemas/DerogationNotFoundDto'
      required:
        - code
        - message
        - details
    BranchNotFoundDetailsDto:
      type: object
      properties:
        branchId:
          type: string
      required:
        - branchId
    DerogationNotFoundDto:
      type: object
      properties:
        branchId:
          type: string
      required:
        - branchId

````